Get transaction receipt by hash

get
/v1/transactions/receipt/by_hash
Query parameters
hashstringRequired

hash of the transaction to lookup

Responses
chevron-right
200Success
application/json

Transaction receipt This type is generic over an inner [ReceiptEnvelope] which contains consensus data and metadata.

checkpoint_hashstringOptional

Hash of the checkpoint this transaction was included within.

Example: 0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40c
checkpoint_numberinteger · int64Optional

Number of the checkpoint this transaction was included within.

Example: 100
fee_usedstringRequired

Fee used

Example: 0
fromstringRequired

Address of the sender

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
recipientstringOptional

Address of the recipient. None when its a contract creation transaction.

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
successbooleanRequired

If transaction is executed successfully.

success_infoone ofOptional
nullOptional
or
tostringOptional

Address of the recipient. None when its a contract creation transaction. This field will be deprecated, please use recipient instead.

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
token_addressstringOptional

Token address

Example: 0x9E1E9688A44D058fF181Ed64ddFAFbBE5CC742Ab
transaction_hashstringRequired

Transaction Hash.

Example: 0xf55f9525be94633b56f954d3252d52b8ef42f5fd5f9491b243708471c15cc40c
transaction_indexinteger · int64Optional

Index within the block.

Example: 2
get
/v1/transactions/receipt/by_hash

Last updated